20 بهم

افزایش امنیت وردپرس با انتخاب درست افزونه ها‎

انتخاب درست افزونه های وردپرس

وردپرس (Word Press) یک برنامه مدیریت محتوای قدیمی، محبوب و رایگان است که بر پایه زبان php و پایگاه داده Mysql ایجاد شده است.

گزارشی توسط شرکت Panda Secutity ارائه شده است که در آن به اهمیت انتخاب افزونه های مناسب برای وردپرس پرداخته شده است.

در این گزارش آمده است در حدود ۷۵ میلیون سایت که با وردپرس ایجاد شده اند در معرض خطر حملات هکرها هستند.

یکی از کارشناسان امنیت به نام دیوهارست در مورد وردپرس چنین گفته است: “تیم تحقیق و توسعه وردپرس بسیار قوی میباشند و به روش های کدنویسی کاملا تسط دارند و به همین دلیل احتمال حملات به وردپرس را به حداقل رسانده اند.”

اما با این حال سوالی مطرح میشود که حملات زیاد و آسیب پذیری گزارش شده روی سایت های وردپرسی در تابستان گذشته که منجر به هک شدن ۵۰۰۰ سایت وردپرسی شده است و آمار میلیونی گزارش شده پانداسکوریتی حاکی از چیست؟

این محقق در سال های گذشته اقدام به جمع آوری اطلاعات از حملات انجام شده بر روی وردپرس و علت آنها، نموده است و نتیجه ای که بدست آورده این است که علت این حمله ها افزونه های نصب شده بر روی وردپرس میباشند نه خود برنامه وردپرس.

کارشناسان امنیتی افزونه های وردپرس را مانند اسب تروجان میدانند به اینصورت که وردپرس برنامه ای قوی و تقریبا نفوذناپذیر است اما با وجود باگ های امنیتی که در افزونه ها و پلاگین های غیرمعتبر وردپرس موجود است، کل برنامه وردپرس از طریق این افزونه ها در معرض خطر و آسیب قرار دارد.

افزونه ها و پلاگین ها برنامه های جانبی هستند که روی وردپرس نصب میشوند و وردپرس هیچ نظارت و کنترلی بر آنها ندارد لذا یک افزونه غیرمعتبر میتواند باعث آسیب رساندن به وردپرس شود و آنرا در معرض خطر حملات هکرها قرار دهد.

هکرها به طور مداوم در حال بررسی و کشف باگ های امنیتی در افزونه های وردپرس هستند تا از طریق حفره های موجود در آنها به وردپرس راه یابند و عملیات خرابکارانه خود را انجام دهند.

توصیه های پانداسکوریتی برای حفظ امنیت وردپرس:

– قبل از نصب هر افزونه ای حتما به سایت آن مراجعه کرده و اعتبار آنرا بررسی نمایید. تعدادی از افزونه های نامعتبر توسط اشخاص ایجاد میشوند که بدون اطلاع سازنده امکان دارد دارای باگ های امنیتی باشند یا اینکه به جهت دستیابی به مقاصد بد ممکن است مجهز به مالور و اسکریپت های آلوده باشند.

– برنامه وردپرس خود را همواره به آخرین نسخه های ارائه شده رسمی بروزرسانی کنید.

– از کلیه اطلاعات خود از جمله وردپرس و پایگاه داده آن به صورت دوره ای بکاپ تهیه نمایید.

– از افزونه های رسمی و معتبر ضد هک که توانایی شناسایی کدهای مخرب را دارند، استفاده نمایید.

اشتراک

ارسال نظر